                                   Tux Paint
                   versión 0.9.28 Frequently Asked Questions

        Copyright © 2002-2022 by various contributors; see AUTHORS.txt.
                             https://tuxpaint.org/

                                 junio 4, 2022

     ----------------------------------------------------------------------

   +------------------------------+
   |Table of Contents             |
   |------------------------------|
   |  * Drawing-related           |
   |  * Interface Problems        |
   |  * Printing                  |
   |  * Saving                    |
   |  * Audio Problems            |
   |  * Fullscreen Mode Problems  |
   |  * Other Probelms            |
   |  * Help / Contact            |
   +------------------------------+

     ----------------------------------------------------------------------

Drawing-related

   Fonts I added to Tux Paint only show squares
           The TrueType Font you're using might have the wrong encoding. If
           it's 'custom' encoded, for example, you can try running it through
           FontForge (http://fontforge.sourceforge.net/) to convert it to an
           ISO-8859 format. (Email us if you need help with special fonts.)

   The Rubber Stamp tool is greyed out!

           This means that Tux Paint either couldn't find any stamp images,
           or was asked not to load them.

           If you installed Tux Paint, but did not install the separate,
           optional "Stamps" collection, quit Tux Paint and install it now.
           It should be available from the same place you got the main Tux
           Paint program. (Note: As of version 0.9.14, Tux Paint comes with a
           small collection of example stamps.)

           If you don't want to install the default collection of stamps, you
           can just create your own. See the "Extending Tux Paint"
           documentation for more on creating PNG and SVG image files, TXT
           text description files, Ogg Vorbis, MP3 or WAV sound files, and
           DAT text data files that make up stamps.

           Finally, if you installed stamps, and think they should be
           loading, check to see that the "nostamps" option isn't being set.
           (Either via a "--nostamps" option to Tux Paint's command line, or
           "nostamps=yes" in the configuration file.)

           Either change/remove the "nostamps" option, or you can override it
           with "--stamps" on the command line or either "nostamps=no" or
           "stamps=yes" in a configuration file.

   The "Fill" Tool Looks Bad

           Tux Paint is probably comparing exact pixel colors when filling.
           This is faster, but looks worse. Run the command "tuxpaint
           --verbose-version" from a command line, and you should see,
           amongst the other output: "Low Quality Flood Fill enabled".

           To change this, you must rebuild Tux Paint from source. Be sure to
           remove or comment out any line that says:

             #define LOW_QUALITY_FLOOD_FILL

           in the "tuxpaint.c" file in the "src" directory.

   Stamp outlines are always rectangles

           Tux Paint was built with low-quality (but faster) stamp outlines.

           To change this, you must rebuild Tux Paint from source. Be sure to
           remove or comment out any line that says:

             #define LOW_QUALITY_STAMP_OUTLINE

           in the "tuxpaint.c" file in the "src" directory.

     ----------------------------------------------------------------------

Interface Problems

   Stamp thumbnails in the Stamp Selector look bad

           Tux Paint was probably compiled with the faster, lower quality
           thumbnail code enabled. Run the command: "tuxpaint
           --verbose-version" from a command line. If, amongst the other
           output, you see the text: "Low Quality Thumbnails enabled", then
           this is what's happening.

           To change this, you must rebuild Tux Paint from source. Be sure to
           remove or comment out any line that says:

             #define LOW_QUALITY_THUMBNAILS

           in the "tuxpaint.c" file in the "src" directory.

   Pictures in the 'Open' dialog look bad
           "Low Quality Thumbnails" is probably enabled. See: "Stamp
           thumbnails in the Stamp Selector look bad", above.

   The color picker buttons are ugly squares, not pretty buttons!

           Tux Paint was probably compiled with the nice looking color
           selector buttons disabled. Run the command: "tuxpaint
           --verbose-version" from a command line. If, amongst the other
           output, you see the text: "Low Quality Color Selector enabled",
           then this is what's happening.

           To change this, you must rebuild Tux Paint from source. Be sure to
           remove or comment out any line that says:

             #define LOW_QUALITY_COLOR_SELECTOR

           in the "tuxpaint.c" file in the "src" directory.

   All of the text is in uppercase!

           The "uppercase" option is on.

           Either change/remove the "uppercase" option, or you can override
           it with "--mixedcase" on the command line or either "uppercase=no"
           or "mixedcase=yes" in a configuration file.

   Tux Paint is in a different language
           Make sure your locale setting is correct. See "Tux Paint won't
           switch to my language", below.

   Tux Paint won't switch to my language
              * Linux and Unix users: Make sure the locale is available

                Make sure the locale you want is available. Check your
                "/etc/locale.gen" file. See the "Options Documentation" for
                the locales Tux Paint uses (especially when using the
                "--lang" option).

                Note: Debian and derivative (e.g., Ubuntu) users can simply
                run "dpkg-reconfigure locales" if the locales are managed by
                "dpkg".

              * If you're using the "--lang" command-line option

                Try using the "--locale" command-line option, or your
                operating system's locale settings (e.g., the "$LANG"
                environment variable), and please e-mail us regarding your
                trouble.

              * If you're using the "--locale" command-line option

                If this doesn't work, please e-mail us regarding your
                trouble.

              * If you're trying to use your Operating System's locale

                If this doesn't work, please e-mail us regarding your
                trouble.

              * Make sure you have the necessary font

                Some translations require their own font. Chinese and Korean,
                for example, need Chinese and Korean TrueType Fonts installed
                and placed in the proper location, respectively.

                The appropriate fonts for such locales can be downloaded from
                the Tux Paint website:

                  https://tuxpaint.org/download/fonts/

     ----------------------------------------------------------------------

Printing

   Tux Paint won't print, gives an error, or prints garbage (Unix/Linux)

           Tux Paint prints by creating a PostScript rendition of the picture
           and sending it to an external command. By default, this command is
           the "lpr" printing tool.

           If that program is not available (for example, you're using CUPS,
           the Common Unix Printing System, and do not have "cups-lpr"
           installed), you will need to specify an appropriate command using
           the "printcommand" option in Tux Paint's configuration file. (See
           the "Options Documentation".)

           Note: Versions of Tux Paint prior to 0.9.15 used a different
           default command for printing, "pngtopnm | pnmtops | lpr", as Tux
           Paint output PNG format, rather than PostScript.

           If you had changed your "printcommand" option prior to Tux Paint
           0.9.15, you will need to go back and alter it to accept
           PostScript.

   I get the message "You can't print yet!" when I go to print

           The "print delay" option is on. You can only print once every X
           seconds.

           If you're running Tux Paint from a command-line, make sure you're
           not giving it a "--printdelay=..." option.

           If you're running Tux Paint by double-clicking an icon, check the
           properties of the icon to see if "--printdelay=..." is listed as a
           command-line argument.

           If a "--printdelay=..." option isn't being sent on the command
           line, check Tux Paint's configuration file for a line reading:
           "printdelay=...".

           Either remove that line, set the delay value to 0 (no delay), or
           decrease the delay to a value you prefer. (See the "Options
           Documentation".)

           Or, you can simply run Tux Paint with the command-line argument:
           "--printdelay=0", which will override the configuration file's
           setting, and allow unlimited printing. (You won't have to wait
           between prints.)

   I simply can't print! The button is greyed out!

           The "no print" option is on.

           If you're running Tux Paint from a command-line, make sure you're
           not giving it a "--noprint" option.

           If you're running Tux Paint by double-clicking an icon, check the
           properties of the icon to see if "--noprint" is listed as a
           command-line argument.

           If a "--noprint" option isn't being sent on the command line,
           check Tux Paint's configuration file for a line reading:
           "noprint=yes".

           Either remove that line, or simply run Tux Paint with the
           command-line argument: "--print", which will override the
           configuration file's setting.

           Or use Tux Paint Config. and make sure "Allow Printing" (under
           "Printing") is checked.

     ----------------------------------------------------------------------

Saving

   Where does Tux Paint save my drawings?

           Unless you asked Tux Paint to save into a specific location (using
           the "savedir" option), Tux Paint saves into a standard location on
           your local drive:

                Windows Vista, Windows 8, Windows 10, Windows 11
                        In the user's "AppData" folder:
                        e.g.,
                        C:\Users\Username\AppData\Roaming\TuxPaint\saved

                macOS
                        In the user's "Application Support" folder:
                        e.g., /Users/Username/Library/Applicaton
                        Support/TuxPaint/saved/

                Linux / Unix
                        In the user's home directory ("$HOME"), under a
                        ".tuxpaint" subfolder:
                        e.g., /home/username/.tuxpaint/saved/

           The images are stored as PNG bitmaps, which most modern programs
           should be able to load (image editors, word processors, web
           browsers, etc.)

   Tux Paint always saves over my old picture

           The "save over" option is enabled. (This disables the prompt that
           would appear when you click 'Save.')

           If you're running Tux Paint from a command-line, make sure you're
           not giving it a "--saveover" option.

           If you're running Tux Paint by double-clicking an icon, check the
           properties of the icon to see if "--saveover" is listed as a
           command-line argument.

           If a "--saveover" option isn't being sent on the command line,
           check Tux Paint's configuration file for a line reading:
           "saveover=yes".

           Either remove that line, or simply run Tux Paint with the
           command-line argument: "--saveoverask", which will override the
           configuration file's setting.

           Or use Tux Paint Config. and make sure "Ask Before Overwriting"
           (under "Saving") is checked.

           Also, see "Tux Paint always saves a new picture!", below.

   Tux Paint always saves a new picture!

           The "never save over" option is enabled. (This disables the prompt
           that would appear when you click 'Save.')

           If you're running Tux Paint from a command-line, make sure you're
           not giving it a "--saveovernew" option.

           If you're running Tux Paint by double-clicking an icon, check the
           properties of the icon to see if "--saveovernew" is listed as a
           command-line argument.

           If a "--saveovernew" option isn't being sent on the command line,
           check Tux Paint's configuration file for a line reading:
           "saveover=new".

           Either remove that line, or simply run Tux Paint with the
           command-line argument: "--saveoverask", which will override the
           configuration file's setting.

           Or use Tux Paint Config. and make sure "Ask Before Overwriting"
           (under "Saving") is checked.

           Also, see "Tux Paint always saves over my old picture!", above.

     ----------------------------------------------------------------------

Audio Problems

   There's no sound!
              * First, check the obvious:
                   * Are your speakers connected and turned on?
                   * Is the volume turned up on your speakers?
                   * Is the volume turned up in your Operating System's
                     "mixer?"
                   * Are you certain you're using a computer with a sound
                     card?
                   * Are any other programs running that use sound? (They may
                     be 'blocking' Tux Paint from accessing your sound
                     device)
                   * (Unix/Linux) Are you using a sound system, such as aRts,
                     ESD or GStreamer? If so, try setting the
                     "SDL_AUDIODRIVER" environment variable before running
                     Tux Paint (e.g., "export SDL_AUDIODRIVER=arts"). Or, run
                     Tux Paint through the system's rerouter (e.g., run
                     "artsdsp tuxpaint" or "esddsp tuxpaint", instead of
                     simply "tuxpaint").
              * Is sound disabled in Tux Paint?

                If sound seems to work otherwise (and you're sure no other
                program is "blocking" the sound device), then Tux Paint may
                be running with a "no sound" option.

                If you're running Tux Paint from a command-line, make sure
                you're not giving it a "--nosound" option.

                If you're running Tux Paint by double-clicking an icon, check
                the properties of the icon to see if "--nosound" is listed as
                a command-line argument.

                If a "--nosound" option isn't being sent on the command line,
                check Tux Paint's configuration file for a line reading:
                "nosound=yes".

                Either remove that line, or simply run Tux Paint with the
                command-line argument: "--sound", which will override the
                configuration file's setting.

                Or, you can simply run Tux Paint with the command-line
                argument: "Enable Sound Effects", which will override the
                configuration file's setting, and allow unlimited printing.
                (You won't have to wait between prints.)

              * Were sounds temporarily disabled?

                Even if sounds are enabled in Tux Paint, it is possible to
                disable and re-enable them temporarily using the [Alt] + [S]
                key sequence. Try pressing those keys to see if sounds begin
                working again.

              * Was Tux Paint built without sound support?

                Tux Paint may have been compiled with sound support disabled.
                To test whether sound support was enabled when Tux Paint was
                compiled, run Tux Paint from a command line, like so:

                  tuxpaint --verbose-version

                If, amongst the other information, you see "Sound disabled",
                then the version of Tux Paint you're running has sound
                disabled. Recompile Tux Paint, and be sure NOT to build the
                "nosound" target. (i.e., don't run "make nosound") Be sure
                the SDL_mixer library and its development headers are
                available!

   Tux Paint makes too much noise! Can I turn them off?

           Yes, there are a number of ways to disable sounds in Tux Paint:

              * Press [Alt] + [S] while in Tux Paint to temporarily disable
                sounds. (Press that key sequence again to re-enable sounds.)
              * Run Tux Paint with the "no sound" option:
                   * Run "tuxpaint --nosound" from the command line or
                     shortcut or desktop icon.
                   * Edit Tux Paint's configuration file (see "Options
                     Documentation" for details) and add a line containing
                     "nosound=yes".
                   * Or use Tux Paint Config. and make sure "Enable Sound
                     Effects" (under "Video & Sound") is not checked.
                   * Alternatively, recompile Tux Paint with sound support
                     disabled. (See above, and the 'Install' documentation.

   The stereo panning of sound effects is bothersome; can sound effects be
   monophonic?

           Run Tux Paint with the "no stereo" option:

              * Run "tuxpaint --nostereo" from the command line or shortcut
                or desktop icon.
              * Edit Tux Paint's configuration file (see "Options
                Documentation" for details) and add a line containing
                "nostereo=yes".
              * Or use Tux Paint Config. and make sure "Enable Stereo
                Effects" (under "Video & Sound") is not checked.

   The sound effects sound strange

           This could have to do with how SDL and SDL_mixer were initialized.
           (The buffer size chosen.)

           Please e-mail us with details about your computer system.
           (Operating system and version, sound card, which version of Tux
           Paint you're running (run "tuxpaint --version" to verify), and so
           on.)

     ----------------------------------------------------------------------

Fullscreen Mode Problems

   When I run Tux Paint full-screen and [Alt] + [Tab] out, the window turns
   black!
           This is apparently a bug in the SDL library. Sorry.

   When I run Tux Paint full-screen, it has large borders around it

           Linux users - Your X-Window server is probably not set with the
           ability to switch to the desired resolution: 800×600. (or whatever
           resolution you have Tux Paint set to run at.) (This is typically
           done manually under the X-Window server by pressing [Control] +
           [Alt] + [Keypad Plus (+)] and [Control] + [Alt] + [Keypad Minus
           (-)].)

           For this to work, your monitor must support that resolution, and
           you need to have it listed in your X server configuration.

           Check the "Display" subsection of the "Screen" section of your
           XFree86 or X.org configuration file (typically
           "/etc/X11/XF86Config-4" or "/etc/X11/XF86Config", depending on the
           version of XFree86 you're using; 3.x or 4.x, respectively, or
           "/etc/X11/xorg.conf" for X.org).

           Add "800x600" (or whatever resolution(s) you want) to the
           appropriate "Modes" line. (e.g., in the "Display" subsection that
           contains 24-bit color depth ("Depth 24"), which is what Tux Paint
           tries to use.)

             Modes "1280x1024" "1024x768" "800x600" "640x480"

           Note that some Linux distributions have tools that can make these
           changes for you. Debian users can run the command
           "dpkg-reconfigure xserver-xfree86" as root, for example.

   Tux Paint keeps running in Full Screen mode - I want it windowed!

           The "fullscreen" option is set.

           If you're running Tux Paint from a command-line, make sure you're
           not giving it a "--fullscreen" option.

           If you're running Tux Paint by double-clicking an icon, check the
           properties of the icon to see if "--fullscreen" is listed as a
           command-line argument.

           If a "--fullscreen" option isn't being sent on the command line,
           check Tux Paint's configuration file for a line reading:
           "fullscreen=yes".

           Either remove that line, or simply run Tux Paint with the
           command-line argument: "--windowed", which will override the
           configuration file's setting.

           Or use Tux Paint Config. and make sure "Fullscreen" (under "Video
           & Sound") is not checked.

     ----------------------------------------------------------------------

Other Probelms

   Tux Paint won't run

           If Tux Paint aborts with the message: "You're already running a
           copy of Tux Paint!", this means it has been launched in the last
           30 seconds. (On Unix/Linux, this message would appear in a
           terminal console if you ran Tux Paint from a command-line. On
           Windows, this message would appear in a file named "stdout.txt" in
           the same folder where TuxPaint.exe resides (e.g., in "C:\Program
           Files\TuxPaint").

           A lockfile ("~/.tuxpaint/lockfile.dat" on Linux and Unix,
           "userdata\lockfile.dat" on Windows) is used to make sure Tux Paint
           isn't run too many times at once (e.g., due to a child impatiently
           clicking its icon more than once).

           Even if the lockfile exists, it contains the 'time' Tux Paint was
           last run. If it's been more than 30 seconds, Tux Paint should run
           fine, and simply update the lockfile with the current time.

           If multiple users are sharing the directory where this file is
           stored (e.g., on a shared network drive), then you'll need to
           disable this feature.

           To disable the lockfile, add the "--nolockfile" argument to Tux
           Paint's command-line, or "nolockfile=yes" to the configuration
           file.

   I can't quit Tux Paint

           The "no quit" option is set. This disables the "Quit" button in
           Tux Paint's toolbar (greying it out), and prevents Tux Paint from
           being exited via the [Escape] key.

           If Tux Paint is not in fullscreen mode, simply click the window
           close button on Tux Paint's title bar. (i.e., the "ⓧ" at the upper
           right.)

           If Tux Paint is in fullscreen mode, you will need to use the
           [Shift] + [Control] + [Escape] sequence on the keyboard to quit
           Tux Paint.

           (Note: with or without "no quit" set, you can always use the [Alt]
           + [F4] combination on your keyboard to quit Tux Paint.)

   I don't want "no quit" mode enabled!

           If you're running Tux Paint from a command-line, make sure you're
           not giving it a "--noquit" option.

           If you're running Tux Paint by double-clicking an icon, check the
           properties of the icon to see if "--noquit" is listed as a
           command-line argument.

           If a "--noquit" option isn't being sent on the command line, check
           Tux Paint's configuration file for a line reading: "noquit=yes".

           Either remove that line, or simply run Tux Paint with the
           command-line argument: "--quit", which will override the
           configuration file's setting.

           Or use Tux Paint Config. and make sure "Disable Quit Button and
           [Escape] Key" (under "Simplification") is not checked.

   Tux Paint keeps writing weird messages to the screen / to a text file

           A few messages are normal, but if Tux Paint is being extremely
           verbose (like listing the name of every rubber-stamp image it
           finds while loading them), then it was probably compiled with
           debugging output turned on.

           To change this, you must rebuild Tux Paint from source. Be sure to
           remove or comment out any line that says:

             #define DEBUG

           in the "tuxpaint.c" file in the "src" directory.

   Tux Paint is using options I didn't specify!

           By default, Tux Paint first looks at configuration files for
           options.

              * Unix and Linux

                Under Unix and Linux, it first examines the system-wide
                configuration file, located here:

                  /etc/tuxpaint/tuxpaint.conf

                It then examines the user's personal configuration file:

                  ~/.tuxpaintrc

                Finally, any options sent as command-line arguments are used.

              * Windows

                Under Windows, Tux Paint first examines the configuration
                file:

                  tuxpaint.cfg

                Finally, any options sent as command-line arguments are used.

           This means that if anything is set in a configuration file that
           you don't want set, you'll need to either change the config. file
           (if you can), or override the option on the command-line.

           For example, on Linux and Unix, if "/etc/tuxpaint/tuxpaint.conf"
           includes this option to disable sound...

             nosound=yes

           ...then you can reenable sound by either adding this option to
           your own ".tuxpaintrc" file:

             sound=yes

           ...or by using this command-line argument:

             --sound

           Linux and Unix users can also disable the system-wide
           configuration file by including the following command-line
           argument:

             --nosysconfig

           Tux Paint will then only look at "~/.tuxpaintrc" and command-line
           arguments to determine what options should be set.

     ----------------------------------------------------------------------

Help / Contact

   Any questions you don't see answered? Please let us know! You can
   subscribe and post to our "tuxpaint-users" mailing list:

     https://tuxpaint.org/lists/

   Or, contact lead developer Bill Kendrick directly:

     bill@newbreedsoftware.com
